%define major   8
%define libname %mklibname urcu %{major}
%define devname %mklibname urcu -d

Name:           userspace-rcu
Version:        0.13.2
Release:        %mkrel 2
Summary:        RCU (read-copy-update) implementation in user space
Group:          System/Libraries
License:        LGPLv2+
URL:            https://lttng.org/urcu/
Source0:        https://lttng.org/files/urcu/%{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package -n     %{libname}
Summary:        RCU (read-copy-update) implementation in user space
Group:          System/Libraries
Obsoletes:      %{name}
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{name}-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

rm -rf %buildroot/%{_datadir}/doc
rm -rf %buildroot/%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/liburcu*.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc


%changelog
* Mon Jul 17 2023 tex - 0.13.2-2pclos2023
- rebuild
